'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ActionButtons = exports.ConditionalButton = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _reactIntl = require('react-intl');

var _styles = require('@material-ui/core/styles');

var _Button = require('@material-ui/core/Button');

var _Button2 = _interopRequireDefault(_Button);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var styles = function styles(theme) {
  return {
    button: {
      margin: theme.spacing.unit
    }
  };
};

var ConditionalButton = function ConditionalButton(_ref) {
  var _ref$buttonProps = _ref.buttonProps,
      textId = _ref$buttonProps.textId,
      textValues = _ref$buttonProps.textValues,
      buttonProps = _objectWithoutProperties(_ref$buttonProps, ['textId', 'textValues']),
      condition = _ref.condition,
      rest = _objectWithoutProperties(_ref, ['buttonProps', 'condition']);

  return (condition === undefined || condition) && buttonProps && _react2.default.createElement(
    _Button2.default,
    _extends({}, buttonProps, rest),
    _react2.default.createElement(_reactIntl.FormattedMessage, { id: textId, values: textValues })
  ) || null;
};

exports.ConditionalButton = ConditionalButton;
ConditionalButton.propTypes = {
  buttonProps: _propTypes2.default.shape({
    textId: _propTypes2.default.string
  }),
  condition: _propTypes2.default.bool
};

ConditionalButton.displayName = 'ConditionalButton';

var ActionButtons = function ActionButtons(_ref2) {
  var classes = _ref2.classes,
      _ref2$primaryButtonPr = _ref2.primaryButtonProps;
  _ref2$primaryButtonPr = _ref2$primaryButtonPr === undefined ? {
    condition: false
  } : _ref2$primaryButtonPr;

  var primaryButtonCondition = _ref2$primaryButtonPr.condition,
      primaryButtonProps = _objectWithoutProperties(_ref2$primaryButtonPr, ['condition']),
      _ref2$cancelButtonPro = _ref2.cancelButtonProps;

  _ref2$cancelButtonPro = _ref2$cancelButtonPro === undefined ? {
    condition: false
  } : _ref2$cancelButtonPro;

  var cancelButtonCondition = _ref2$cancelButtonPro.condition,
      cancelButtonProps = _objectWithoutProperties(_ref2$cancelButtonPro, ['condition']),
      extraButtons = _ref2.extraButtons,
      children = _ref2.children;

  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(ConditionalButton, {
      variant: 'contained',
      className: classes.button,
      buttonProps: _extends({ textId: 'cancel' }, cancelButtonProps),
      condition: cancelButtonCondition
    }),
    extraButtons && extraButtons.map(function (_ref3, index) {
      var condition = _ref3.condition,
          buttonProps = _objectWithoutProperties(_ref3, ['condition']);

      return _react2.default.createElement(ConditionalButton, {
        key: index.toString(),
        variant: 'contained',
        className: classes.button,
        buttonProps: buttonProps,
        condition: condition
      });
    }),
    _react2.default.createElement(ConditionalButton, {
      variant: 'contained',
      className: classes.button,
      buttonProps: primaryButtonProps,
      condition: primaryButtonCondition,
      color: 'primary'
    }),
    children
  );
};

exports.ActionButtons = ActionButtons;
var ButtonPropsPropType = _propTypes2.default.shape({
  condition: _propTypes2.default.bool
});

ActionButtons.propTypes = {
  classes: _propTypes2.default.objectOf(_propTypes2.default.string),
  primaryButtonProps: ButtonPropsPropType,
  cancelButtonProps: ButtonPropsPropType,
  extraButtons: _propTypes2.default.arrayOf(ButtonPropsPropType),
  children: _propTypes2.default.node
};

ActionButtons.displayName = 'ActionButtons';

exports.default = (0, _styles.withStyles)(styles, { name: 'ActionButtons' })(ActionButtons);