'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RadioGroup = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _styles = require('@material-ui/core/styles');

var _FormControl = require('@material-ui/core/FormControl');

var _FormControl2 = _interopRequireDefault(_FormControl);

var _FormControlLabel = require('@material-ui/core/FormControlLabel');

var _FormControlLabel2 = _interopRequireDefault(_FormControlLabel);

var _FormLabel = require('@material-ui/core/FormLabel');

var _FormLabel2 = _interopRequireDefault(_FormLabel);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Radio = require('@material-ui/core/Radio');

var _Radio2 = _interopRequireDefault(_Radio);

var _RadioGroup = require('@material-ui/core/RadioGroup');

var _RadioGroup2 = _interopRequireDefault(_RadioGroup);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  root: {
    marginTop: 25
  },
  formLabel: {
    marginBottom: 5
  },
  labelRadio: {
    height: 30
  },
  groupRow: {
    flexDirection: 'row'
  }
};

var RadioGroup = exports.RadioGroup = function RadioGroup(_ref) {
  var label = _ref.label,
      source = _ref.source,
      disabled = _ref.disabled,
      row = _ref.row,
      classes = _ref.classes,
      input = _ref.input;
  return _react2.default.createElement(
    _FormControl2.default,
    { className: classes.root },
    _react2.default.createElement(
      _FormLabel2.default,
      { className: classes.formLabel },
      label
    ),
    _react2.default.createElement(
      _RadioGroup2.default,
      _extends({
        className: row && classes.groupRow || null
      }, input, {
        value: input.value + ''
      }),
      source.map(function (el, i) {
        return _react2.default.createElement(_FormControlLabel2.default, {
          key: el.value + i.toString(),
          className: classes.labelRadio,
          value: el.value,
          label: el.label,
          disabled: disabled,
          control: _react2.default.createElement(_Radio2.default, { color: 'primary' })
        });
      })
    )
  );
};

RadioGroup.displayName = 'RadioGroup';

RadioGroup.propTypes = {
  label: _propTypes2.default.string,
  source: _propTypes2.default.array.isRequired,
  disabled: _propTypes2.default.bool,
  row: _propTypes2.default.bool,
  classes: _propTypes2.default.object,
  // redux-form props
  input: _propTypes2.default.object
};

exports.default = (0, _styles.withStyles)(styles, { name: 'RadioGroup' })(RadioGroup);