'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextField = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _core = require('@material-ui/core');

var _styles = require('@material-ui/core/styles');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _InfoLabel = require('./InfoLabel');

var _InfoLabel2 = _interopRequireDefault(_InfoLabel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var applyRequiredFieldIndicator = function applyRequiredFieldIndicator(labelText) {
  return labelText + ' *';
};

var styles = {
  infoLabel: {
    width: '100%'
  },
  textFieldInput: {
    '-ms-overflow-style': '-ms-autohiding-scrollbar'
  }
};

var TextField = exports.TextField = function TextField(_ref) {
  var input = _ref.input,
      label = _ref.label,
      multiline = _ref.multiline,
      rows = _ref.rows,
      disabled = _ref.disabled,
      type = _ref.type,
      required = _ref.required,
      infoTooltip = _ref.infoTooltip,
      classes = _ref.classes,
      _onBlur = _ref.onBlur,
      placeholder = _ref.placeholder,
      _ref$meta = _ref.meta,
      touched = _ref$meta.touched,
      error = _ref$meta.error;
  return _react2.default.createElement(_core.TextField, _extends({}, input, {
    multiline: multiline,
    label: infoTooltip ? _react2.default.createElement(_InfoLabel2.default, {
      label: required ? applyRequiredFieldIndicator(label) : label,
      tooltip: infoTooltip,
      'class': classes.infoLabel
    }) : label,
    InputProps: { inputProps: { className: classes.textFieldInput } },
    rows: rows,
    type: type,
    error: touched && typeof error !== 'undefined',
    helperText: touched && error,
    disabled: disabled,
    fullWidth: true,
    margin: 'normal',
    placeholder: placeholder,
    required: required && !infoTooltip,
    onBlur: function onBlur() {
      if (typeof _onBlur === 'function') {
        _onBlur();
      }
      input.onBlur();
    }
  }));
};

TextField.displayName = 'TextField';

exports.default = (0, _styles.withStyles)(styles, { name: 'TextField' })(TextField);