'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = function (name, reducer, defaultState) {
  var testCases = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : [];

  describe(name + ' reducer', function () {
    it('handles an undefined action type', function () {
      expect(reducer(undefined, {})).toEqual(defaultState);
    });

    it('handles an unknown action type', function () {
      expect(reducer(undefined, { type: 'FAKE_TYPE' })).toEqual(defaultState);
    });

    testCases.forEach(function (_ref) {
      var type = _ref.type,
          _ref$subtitle = _ref.subtitle,
          subtitle = _ref$subtitle === undefined ? '' : _ref$subtitle,
          payload = _ref.payload,
          error = _ref.error,
          extraStartState = _ref.extraStartState,
          extraEndState = _ref.extraEndState;

      it('handles ' + type + (subtitle && ': ' + subtitle), function () {
        var action = { type: type, payload: payload, error: error };
        var startState = _extends({}, defaultState, extraStartState);
        var resultState = reducer(startState, action);

        expect(resultState).toEqual(_extends({}, defaultState, extraEndState));
      });
    });
  });
};